﻿Imports Syncfusion.EJ.Export
Imports Syncfusion.XlsIO
Imports System
Imports System.Data
Imports System.Collections
Imports System.Data.SqlClient
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Partial Public Class GridFeatures
    Inherits System.Web.UI.Page
    Private order As New List(Of Orders)()
    Dim _dTable As New DataTable()
    Protected Sub Page_Load(sender As Object, e As EventArgs)
        BindDataSource()
    End Sub
    Private Sub BindDataSource()
        Dim connection = ConfigurationManager.ConnectionStrings("NORTHWNDConnectionString").ConnectionString
        Using dataAdapter = New SqlDataAdapter("SELECT * from Orders", connection)
            Dim dataTable = New DataTable()

            dataAdapter.Fill(_dTable)
        End Using
        Me.Grid1.DataSource = _dTable
        Me.Grid1.DataBind()
    End Sub
    <Serializable> _
    Public Class Orders
        Public Sub New()
        End Sub
        Public Sub New(orderId As Integer, customerId As String, empId As Integer, freight As Double, orderDate As DateTime, shipCity As String)
            Me.OrderID = orderId
            Me.CustomerID = customerId
            Me.EmployeeID = empId
            Me.Freight = freight
            Me.OrderDate = orderDate
            Me.ShipCity = shipCity
        End Sub
        Public Property OrderID() As Integer
        Public Property CustomerID() As String
        Public Property EmployeeID() As Integer
        Public Property Freight() As Double
        Public Property OrderDate() As DateTime
        Public Property ShipCity() As String
    End Class
    Protected Sub FlatGrid_ServerExcelExporting(sender As Object, e As Syncfusion.JavaScript.Web.GridEventArgs)
        Dim exp As New ExcelExport()
        exp.Export(Grid1.Model, DirectCast(Grid1.DataSource, DataTable), "Export.xlsx", ExcelVersion.Excel2010, True, True, "flat-lime")
    End Sub

    Protected Sub FlatGrid_ServerWordExporting(sender As Object, e As Syncfusion.JavaScript.Web.GridEventArgs)
        Dim exp As New WordExport()
        exp.Export(Grid1.Model, DirectCast(Grid1.DataSource, DataTable), "Export.docx", True, True, "flat-lime")
    End Sub

    Protected Sub FlatGrid_ServerPdfExporting(sender As Object, e As Syncfusion.JavaScript.Web.GridEventArgs)
        Dim exp As New PdfExport()
        exp.Export(Grid1.Model, DirectCast(Grid1.DataSource, DataTable), "Export.pdf", True, True, "flat-lime")
    End Sub
End Class
